-- ZB_DM_FXLYJPK ZB_DM_分险类已决赔款
-- allyjxlbf/日期	险类代码
-- 1、日期:已决立案日期  未决估损调整日期(yyyyMMdd)


-- step1：
-- 团队汇总
CREATE TEMPORARY VIEW VIEW_ZB_DM_FXLYJPK_TUANDUI AS 
SELECT 
     s1.`setdate`                          as `setdate`
    ,s1.`risk`                             as `risk`
    ,s1.`LEVEL1COMCODE`                    as `LEVEL1COMCODE`                 
    ,s1.`LEVEL2COMCODE`                    as `LEVEL2COMCODE`                 
    ,s1.`LEVEL3COMCODE`                    as `LEVEL3COMCODE`                 
    ,s1.`LEVEL4COMCODE`                    as `LEVEL4COMCODE`                 
    ,sum(cast(s1.`cost` as DECIMAL(18,2))) as `cost`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where     
    s1.`COMNAME` is not null
    and s1.`flag`= 'yj'
    and LEFT(s1.`setdate`,8) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
group by 
    s1.`setdate`
    ,s1.`risk`
    ,s1.`LEVEL1COMCODE`                     
    ,s1.`LEVEL2COMCODE`                     
    ,s1.`LEVEL3COMCODE`                     
    ,s1.`LEVEL4COMCODE`                     
;

--总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select 
    CONCAT(
        'allyjxlbf/'
        ,s1.`setdate`
    )                                       as `key` 
    ,s1.`risk`                              as `hkey`
    ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val` 
from VIEW_ZB_DM_FXLYJPK_TUANDUI s1
group by 
    s1.`setdate`
    ,s1.`risk`

;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select 
    CONCAT(
        'provyjxlbf/'
        ,s1.`setdate`
        ,'/',s1.`LEVEL1COMCODE`
    )                                       as `key`  
    ,s1.`risk`                              as `hkey` 
    ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val` 
from VIEW_ZB_DM_FXLYJPK_TUANDUI s1
group by 
    s1.`setdate`
    ,s1.`risk`
    ,s1.`LEVEL1COMCODE`
;

-- 中支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'cityyjxlbf/'
        ,s1.`setdate`
        ,'/',s1.`LEVEL2COMCODE`
        )                                    as `key`
     ,s1.`risk`                              as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from VIEW_ZB_DM_FXLYJPK_TUANDUI s1
group by
    s1.`setdate`
    ,s1.`risk`
    ,s1.`LEVEL2COMCODE`
;

-- 县支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'countyyjxlbf/'
        ,s1.`setdate`
        ,'/',s1.`LEVEL3COMCODE`
        )                                    as `key`
     ,s1.`risk`                              as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from VIEW_ZB_DM_FXLYJPK_TUANDUI s1
group by
    s1.`setdate`
    ,s1.`risk`
    ,s1.`LEVEL3COMCODE`
;

-- 团队
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'teamyjxlbf/'
        ,s1.`setdate`
        ,'/',s1.`LEVEL4COMCODE`
        )                               as `key`
     ,s1.`risk`                         as `hkey`
     ,cast(s1.`cost` as DECIMAL(18,2))  as `val`
from VIEW_ZB_DM_FXLYJPK_TUANDUI s1
;